manageR in QGIS

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

manageR in QGIS

Enrico Guastaldi
salve,
sto cercando di istallare il plugin manageR per QGIS Kore, sul mio Kubuntu 9.04
Ho istallato rpy2-2.0.5 correttamente (credo), ottenendo quanto segue:

$ sudo python setup.py install
running install
running build
running build_py
running build_ext
running install_lib
running install_data
running install_egg_info
Removing /usr/local/lib/python2.6/dist-packages/rpy2-2.0.5.egg-info
Writing /usr/local/lib/python2.6/dist-packages/rpy2-2.0.5.egg-info

quindi credo che vada bene. Tuttavia, aprendo QGIS e lanciando il plugin ottengo questo messaggio di errore:


Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):
  File "/home/ugolone/.qgis//python/plugins/manageR/manageR.py", line 49, in run
    import manageRDialog
  File "/home/ugolone/.qgis//python/plugins/manageR/manageRDialog.py", line 26, in
    from QLayerConverter import QVectorLayerConverter, QRasterLayerConverter
  File "/home/ugolone/.qgis//python/plugins/manageR/QLayerConverter.py", line 24, in
    import rpy2.robjects as robjects
ImportError: No module named rpy2.robjects

Versione Python:
2.5.4 (r254:67916, Apr  4 2009, 18:12:40)
[GCC 4.3.3]

percorso Python:['/usr/share/qgis/python', '/home/ugolone/.qgis//python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.5', '/usr/lib/python2.5/plat-linux2', '/usr/lib/python2.5/lib-tk', '/usr/lib/python2.5/lib-dynload', '/usr/local/lib/python2.5/site-packages', '/usr/lib/python2.5/site-packages', '/usr/lib/python2.5/site-packages/PIL', '/var/lib/python-support/python2.5', '/var/lib/python-support/python2.5/gtk-2.0', '/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode', '/home/ugolone/.qgis/python/plugins/fTools/tools']




Mi sembra di capire che mi manchi questo modulo "rpy2.robjects" ma non riesco a capire dove trovarlo.
Qualcuno ha qualche idea?
Grazie in  ogni caso,
Ciao
Enrico

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

[RISOLTO] Re: manageR in QGIS

Enrico Guastaldi
Salve a tutti,
grazie a Giovanni Allegri ho risolto il problema, ovviamente banale, e vi scrivo la risposta nel caso qualcuno ne avesse bisogno.
Ho aggiornato la versione di qgis e la versione di python, rimuovendo quelle vecchie di entrambi (specialmente la python2.5, aggiornata alla 2.6).
Per aggiornare Qgis ho messo i repository seguenti.

deb http://les-ejk.cz/ubuntu jaunty multiverse
deb-src http://les-ejk.cz/ubuntu jaunty multiverse

Dopo aver fatto l'upgrade e l'istallazione, tutto ora funziona alla grande! ManageR è veramente un signor plugin.
Ciao,
Enrico.

---

Il giorno 27 giugno 2009 14.11, Enrico Guastaldi <[hidden email]> ha scritto:
salve,
sto cercando di istallare il plugin manageR per QGIS Kore, sul mio Kubuntu 9.04
Ho istallato rpy2-2.0.5 correttamente (credo), ottenendo quanto segue:

$ sudo python setup.py install
running install
running build
running build_py
running build_ext
running install_lib
running install_data
running install_egg_info
Removing /usr/local/lib/python2.6/dist-packages/rpy2-2.0.5.egg-info
Writing /usr/local/lib/python2.6/dist-packages/rpy2-2.0.5.egg-info

quindi credo che vada bene. Tuttavia, aprendo QGIS e lanciando il plugin ottengo questo messaggio di errore:


Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):
  File "/home/ugolone/.qgis//python/plugins/manageR/manageR.py", line 49, in run
    import manageRDialog
  File "/home/ugolone/.qgis//python/plugins/manageR/manageRDialog.py", line 26, in
    from QLayerConverter import QVectorLayerConverter, QRasterLayerConverter
  File "/home/ugolone/.qgis//python/plugins/manageR/QLayerConverter.py", line 24, in
    import rpy2.robjects as robjects
ImportError: No module named rpy2.robjects

Versione Python:
2.5.4 (r254:67916, Apr  4 2009, 18:12:40)
[GCC 4.3.3]

percorso Python:['/usr/share/qgis/python', '/home/ugolone/.qgis//python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.5', '/usr/lib/python2.5/plat-linux2', '/usr/lib/python2.5/lib-tk', '/usr/lib/python2.5/lib-dynload', '/usr/local/lib/python2.5/site-packages', '/usr/lib/python2.5/site-packages', '/usr/lib/python2.5/site-packages/PIL', '/var/lib/python-support/python2.5', '/var/lib/python-support/python2.5/gtk-2.0', '/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode', '/home/ugolone/.qgis/python/plugins/fTools/tools']




Mi sembra di capire che mi manchi questo modulo "rpy2.robjects" ma non riesco a capire dove trovarlo.
Qualcuno ha qualche idea?
Grazie in  ogni caso,
Ciao
Enrico


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: [RISOLTO] Re: manageR in QGIS

pcav
Enrico Guastaldi ha scritto:
> Salve a tutti,
> grazie a Giovanni Allegri ho risolto il problema, ovviamente banale, e
> vi scrivo la risposta nel caso qualcuno ne avesse bisogno.
> Ho aggiornato la versione di qgis e la versione di python, rimuovendo
> quelle vecchie di entrambi (specialmente la python2.5, aggiornata alla 2.6).

In generale, la raccomandazione e' di usare sempre le ultime versioni di
tutto.
Saluti.
--
Paolo Cavallini: http://www.faunalia.it/pc
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.